

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>XenStore wire protocol &mdash; Xen 4.16-unstable documentation</title>
  

  
  
  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="Xen 4.16-unstable documentation" href="../../index.html"/>
        <link rel="up" title="Hypercall Interfaces - arm64" href="../arm64.html"/>
        <link rel="next" title="Start-of-day shared data structure" href="start_of_day_shared_data_structure.html"/>
        <link rel="prev" title="Event Channels" href="event_channels.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> Xen
          

          
          </a>

          
            
            
              <div class="version">
                4.16
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../admin-guide/index.html">Admin Guide</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../guest-guide/index.html">Guest documentation</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../hypervisor-guide/index.html">Hypervisor documentation</a></li>
</ul>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Hypercall Interfaces</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../arm64.html">Hypercall Interfaces - arm64</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="../arm64.html#starting-points">Starting points</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="hypercall_calling_convention.html">Hypercall Calling Convention</a></li>
<li class="toctree-l4"><a class="reference internal" href="supported_hypercalls.html">Supported hypercalls</a></li>
<li class="toctree-l4"><a class="reference internal" href="list_of_hypercalls.html">List of hypercalls</a></li>
<li class="toctree-l4"><a class="reference internal" href="guest_scheduler_operations.html">Guest Scheduler Operations</a></li>
<li class="toctree-l4"><a class="reference internal" href="grant_tables.html">Grant Tables</a></li>
<li class="toctree-l4"><a class="reference internal" href="event_channels.html">Event Channels</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">XenStore wire protocol</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_shared_data_structure.html">Start-of-day shared data structure</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_memory_layout.html">Start-of-day memory layout</a></li>
<li class="toctree-l4"><a class="reference internal" href="dom0_console.html">Dom0 console</a></li>
<li class="toctree-l4"><a class="reference internal" href="xen_elfnote_features.html">XEN ELFNOTE FEATURES</a></li>
<li class="toctree-l4"><a class="reference internal" href="elf_notes.html">ELF notes</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#functions">Functions</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#structs">Structs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enums-and-sets-of-defines">Enums and sets of #defines</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#typedefs">Typedefs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enum-values-and-individual-defines">Enum values and individual #defines</a></li>
</ul>
</li>
</ul>
</li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../glossary.html">Glossary</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Xen</a>
        
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../index.html">Hypercall Interfaces</a> &raquo;</li>
        
          <li><a href="../arm64.html">Hypercall Interfaces - arm64</a> &raquo;</li>
        
      <li>XenStore wire protocol</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../../_sources/hypercall-interfaces/common/xenstore_wire_protocol.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="xenstore-wire-protocol">
<h1>XenStore wire protocol<a class="headerlink" href="#xenstore-wire-protocol" title="Permalink to this headline">¶</a></h1>
<dl class="group">
<dt>
<span class="target" id="group__xenstore__wire__protocol"></span><em>group</em> <code class="descname">xenstore_wire_protocol</code></dt>
<dd><p>Inter-domain shared memory communications. </p>
<div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Defines</p>
<dl class="define">
<dt id="c.XS_WRITE_NONE">
<span class="target" id="group__xenstore__wire__protocol_1ga0a1ca024a89f924e4b201724f04eecc0"></span><code class="descname">XS_WRITE_NONE</code> “NONE”<a class="headerlink" href="#c.XS_WRITE_NONE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XS_WRITE_CREATE">
<span class="target" id="group__xenstore__wire__protocol_1ga0722818912d55d88d8f35c0e09ee558d"></span><code class="descname">XS_WRITE_CREATE</code> “CREATE”<a class="headerlink" href="#c.XS_WRITE_CREATE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XS_WRITE_CREATE_EXCL">
<span class="target" id="group__xenstore__wire__protocol_1ga85b095214fe2b408fec3fbd557931d5b"></span><code class="descname">XS_WRITE_CREATE_EXCL</code> “CREATE|EXCL”<a class="headerlink" href="#c.XS_WRITE_CREATE_EXCL" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XENSTORE_RING_SIZE">
<span class="target" id="group__xenstore__wire__protocol_1ga2a46788f1f173e4d2cc828e116bdb7f0"></span><code class="descname">XENSTORE_RING_SIZE</code> 1024<a class="headerlink" href="#c.XENSTORE_RING_SIZE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.MASK_XENSTORE_IDX">
<span class="target" id="group__xenstore__wire__protocol_1ga921eba3040f0437c6c60fb668f9a6090"></span><code class="descname">MASK_XENSTORE_IDX</code><span class="sig-paren">(</span>idx<span class="sig-paren">)</span> ((idx) &amp; (XENSTORE_RING_SIZE-1))<a class="headerlink" href="#c.MASK_XENSTORE_IDX" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XENSTORE_PAYLOAD_MAX">
<span class="target" id="group__xenstore__wire__protocol_1gaad14d63c7ef73ebfb3cc2829d801d679"></span><code class="descname">XENSTORE_PAYLOAD_MAX</code> 4096<a class="headerlink" href="#c.XENSTORE_PAYLOAD_MAX" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XENSTORE_ABS_PATH_MAX">
<span class="target" id="group__xenstore__wire__protocol_1ga9651c883d9a4dad69ab024b41906d46b"></span><code class="descname">XENSTORE_ABS_PATH_MAX</code> 3072<a class="headerlink" href="#c.XENSTORE_ABS_PATH_MAX" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XENSTORE_REL_PATH_MAX">
<span class="target" id="group__xenstore__wire__protocol_1gac65ed0d49e2fd2e9de319aed5dd84949"></span><code class="descname">XENSTORE_REL_PATH_MAX</code> 2048<a class="headerlink" href="#c.XENSTORE_REL_PATH_MAX" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XENSTORE_SERVER_FEATURE_RECONNECTION">
<span class="target" id="group__xenstore__wire__protocol_1ga6c58a20d1dc723b6ceddf5141f386d41"></span><code class="descname">XENSTORE_SERVER_FEATURE_RECONNECTION</code> 1<a class="headerlink" href="#c.XENSTORE_SERVER_FEATURE_RECONNECTION" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XENSTORE_CONNECTED">
<span class="target" id="group__xenstore__wire__protocol_1ga489d3e1e8bcb0daa12f7ff73b74277ea"></span><code class="descname">XENSTORE_CONNECTED</code> 0 /* the steady-state */<a class="headerlink" href="#c.XENSTORE_CONNECTED" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.XENSTORE_RECONNECT">
<span class="target" id="group__xenstore__wire__protocol_1ga903e6be308f1dc5d204229860f3be9bd"></span><code class="descname">XENSTORE_RECONNECT</code> 1 /* guest has initiated a reconnect */<a class="headerlink" href="#c.XENSTORE_RECONNECT" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Typedefs</p>
<dl class="typedef">
<dt id="c.XENSTORE_RING_IDX">
<span class="target" id="group__xenstore__wire__protocol_1gaa7c3159f0c12931f683f08312c59d55a"></span><em class="property">typedef </em>uint32_t <code class="descname">XENSTORE_RING_IDX</code><a class="headerlink" href="#c.XENSTORE_RING_IDX" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Enums</p>
<dl class="enum">
<dt id="c.xenstore_wire_protocol::xsd_sockmsg_type">
<span class="target" id="group__xenstore__wire__protocol_1ga3072cd916da5717d4bc0b955e3951df8"></span><em class="property">enum </em><code class="descname">xsd_sockmsg_type</code><a class="headerlink" href="#c.xenstore_wire_protocol::xsd_sockmsg_type" title="Permalink to this definition">¶</a></dt>
<dd><p><em>Values:</em></p>
<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_CONTROL">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a12c2033ac32ef8bd3092c8085179897f"></span><code class="descname">XS_CONTROL</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_CONTROL" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_DIRECTORY">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a49a0596f7b279063935b83fb5ba7df44"></span><code class="descname">XS_DIRECTORY</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_DIRECTORY" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_READ">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a671a1d2003bd84c14058425e41e950ea"></span><code class="descname">XS_READ</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_READ" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_GET_PERMS">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8ad97be06f67279bc601126035e8169463"></span><code class="descname">XS_GET_PERMS</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_GET_PERMS" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_WATCH">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8ac2fba9d15bc1193c8ff1f61499a52a12"></span><code class="descname">XS_WATCH</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_WATCH" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_UNWATCH">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8abf797b9454bd71fdb408929a3ff82e09"></span><code class="descname">XS_UNWATCH</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_UNWATCH" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_TRANSACTION_START">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a478ef2dd6f3e8741887785cd66559d9d"></span><code class="descname">XS_TRANSACTION_START</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_TRANSACTION_START" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_TRANSACTION_END">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8afbffe61d087ddcb86b07202a53c825fa"></span><code class="descname">XS_TRANSACTION_END</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_TRANSACTION_END" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_INTRODUCE">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8abe4ecf5a6a75b5627f838aa4eb45a7ca"></span><code class="descname">XS_INTRODUCE</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_INTRODUCE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_RELEASE">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a07bff4499880694f0cc221d7948094d4"></span><code class="descname">XS_RELEASE</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_RELEASE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_GET_DOMAIN_PATH">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a47e6ffbf486baedc82d0a7ef5f226245"></span><code class="descname">XS_GET_DOMAIN_PATH</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_GET_DOMAIN_PATH" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_WRITE">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a07f986226bb72cf826e115fbedc73468"></span><code class="descname">XS_WRITE</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_WRITE" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_MKDIR">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a119b5a8b98e4b34db9756c0204c5f7c6"></span><code class="descname">XS_MKDIR</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_MKDIR" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_RM">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8ad00bad465d8207b43d93b012f8782af5"></span><code class="descname">XS_RM</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_RM" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_SET_PERMS">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8adf9ec6842986db8ed24763a099fac054"></span><code class="descname">XS_SET_PERMS</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_SET_PERMS" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_WATCH_EVENT">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a5aa0ab6ada142d3b65f363219d35ce52"></span><code class="descname">XS_WATCH_EVENT</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_WATCH_EVENT" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_ERROR">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a9d4ce4277c8b3779e3a3ee921ee0f921"></span><code class="descname">XS_ERROR</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_ERROR" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_IS_DOMAIN_INTRODUCED">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a2c4eb6a97b4ee53ea0ee7527e38b94ac"></span><code class="descname">XS_IS_DOMAIN_INTRODUCED</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_IS_DOMAIN_INTRODUCED" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_RESUME">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a9a481491a212139456abd19a73953d9f"></span><code class="descname">XS_RESUME</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_RESUME" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_SET_TARGET">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8acdcf759771379e9d0e8f3fca2f76cffb"></span><code class="descname">XS_SET_TARGET</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_SET_TARGET" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_RESET_WATCHES">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a952ea74382bcd12470722d95f1480343"></span><code class="descname">XS_RESET_WATCHES</code> = XS_SET_TARGET + 2<a class="headerlink" href="#c.xenstore_wire_protocol::XS_RESET_WATCHES" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_DIRECTORY_PART">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a27c391ec9c1473168e93a94613d3c0f0"></span><code class="descname">XS_DIRECTORY_PART</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_DIRECTORY_PART" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_TYPE_COUNT">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a7d4588e0e25d8ac8ea49d632aee6b251"></span><code class="descname">XS_TYPE_COUNT</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_TYPE_COUNT" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_INVALID">
<span class="target" id="group__xenstore__wire__protocol_ga3072cd916da5717d4bc0b955e3951df8_1gga3072cd916da5717d4bc0b955e3951df8a069d4c0d090d9e350a5fa6a1ba7de4ff"></span><code class="descname">XS_INVALID</code> = 0xffff<a class="headerlink" href="#c.xenstore_wire_protocol::XS_INVALID" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="enum">
<dt id="c.xenstore_wire_protocol::xs_watch_type">
<span class="target" id="group__xenstore__wire__protocol_1ga307fda09e05c7ecbc960f3d1e8b71aa5"></span><em class="property">enum </em><code class="descname">xs_watch_type</code><a class="headerlink" href="#c.xenstore_wire_protocol::xs_watch_type" title="Permalink to this definition">¶</a></dt>
<dd><p><em>Values:</em></p>
<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_WATCH_PATH">
<span class="target" id="group__xenstore__wire__protocol_ga307fda09e05c7ecbc960f3d1e8b71aa5_1gga307fda09e05c7ecbc960f3d1e8b71aa5acbab347420592259dcf315e9e97102be"></span><code class="descname">XS_WATCH_PATH</code> = 0<a class="headerlink" href="#c.xenstore_wire_protocol::XS_WATCH_PATH" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="enumvalue">
<dt id="c.xenstore_wire_protocol::XS_WATCH_TOKEN">
<span class="target" id="group__xenstore__wire__protocol_ga307fda09e05c7ecbc960f3d1e8b71aa5_1gga307fda09e05c7ecbc960f3d1e8b71aa5a6e7c86b2aa097ee35261dd4fc373e634"></span><code class="descname">XS_WATCH_TOKEN</code><a class="headerlink" href="#c.xenstore_wire_protocol::XS_WATCH_TOKEN" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
</dd></dl>

</div>


           </div>
           <div class="articleComments">
            
           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="start_of_day_shared_data_structure.html" class="btn btn-neutral float-right" title="Start-of-day shared data structure" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="event_channels.html" class="btn btn-neutral" title="Event Channels" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, The Xen development community.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'4.16-unstable',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>